//----------------------------BEGIN LICENSE----------------------------
/* 
 * Willow : the Open Source WorkFlow Project
 * Distributable under GNU LGPL license by gun.org
 *
 * Copyright (C) 2004-2010 huihoo.org 
 * Copyright (C) 2004-2010  ZosaTapo <dertyang@hotmail.com> 
 * 
 * ====================================================================
 * Project Homepage : http://www.huihoo.org/willow
 * Source Forge     : http://sourceforge.net/projects/huihoo
 * Mailing list     : willow@lists.sourceforge.net 
 */
//----------------------------END  LICENSE-----------------------------
package org.huihoo.workflow.xpdl;

import org.huihoo.workflow.WorkflowComponent;
import org.huihoo.workflow.WorkflowXPDLComponent;

public abstract class WorkflowPackageHeader implements WorkflowComponent, WorkflowXPDLComponent
{	
  public abstract String getXPDLVersion(); 
  public abstract void setXPDLVersion(String xpdlVersion);
  
  public abstract String getVendor(); 
  public abstract void setVendor(String vendor);
  
  public abstract java.util.Date getCreationTime();
  public abstract void setCreationTime(java.util.Date created);
  public abstract void setCreationTime(String created);
  
  public abstract String getDescription(); 
  public abstract void setDescription(String description);

}
